#include <os/Path.h>

namespace os
{
    Path::Path(const char* path) : m_dirfd(), m_name(path)
    {
    }

    Path::Path(StringView path) : m_dirfd(), m_name(path)
    {
    }

    Path::Path(int fd) : m_dirfd(fd), m_name()
    {
    }

    Path::Path(int dirfd, StringView name) : m_dirfd(dirfd), m_name(name)
    {
    }
}
